Bug 1053619 - [FTBFS: thermostat] Make thermostat work with netty 4
Summary: [FTBFS: thermostat] Make thermostat work with netty 4
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thermostat
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Omair Majid
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 14:10 UTC by Severin Gehwolf
Modified: 2016-07-19 13:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:53:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Severin Gehwolf 2014-01-15 14:10:23 UTC
Description of problem:
Thermostat does not build in rawhide since the netty package has been updated to version 4.x. First, the spec needs to get fixed to use osgi(io.netty.*)[1] style requires/buildrequires. The old org.jboss.* symbolic names have been removed with this update. Second, thermostat needs to get patched so as to work with newest netty.

See also bug 1052047.

[1] http://koji.fedoraproject.org/koji/rpminfo?rpmID=4739130

Comment 1 Marek Goldmann 2014-01-16 09:28:04 UTC
As a short term resolution we decided to introduce netty3 compat package since other packages were hard to move to netty 4. If you want to use it - once it'll be built - you need to change the version of netty you require to "3".

Comment 2 Severin Gehwolf 2014-01-17 17:26:30 UTC
FYI: I've built thermostat in rawhide against netty3 for the time being[1]. That allows me to make progress on bug 1054396. Jon, it would still be great to get thermostat working with netty 4 before F21 is out. Do you think that would be doable?

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=6420996

Comment 3 Jon VanAlten 2014-01-17 19:17:30 UTC
From the brief look I took a while back, should be doable.  I'll get on that upstream next week.  (I'd rather not maintain such a thing here in Fedora-land with patches).

Comment 4 Severin Gehwolf 2015-02-16 12:31:16 UTC
Jon, what's the status of this?

Comment 5 Jon VanAlten 2015-02-17 18:17:10 UTC
Hmmm, have to shake the cobwebs off.

I had a couple patches kicking around that moved upstream part of the way towards using updated netty, but other things apparently came up and I haven't touched in a while.  They don't seem to apply cleanly to HEAD :/

I'll prioritize this so that the "short term resolution" doesn't need to continue.  Looking at what I had so far there's still some tricky refactoring to do, but should be able to work something out in time to drop compat package (assuming no others need it) in next Fedora.

Comment 6 Jaroslav Reznik 2015-03-03 16:58:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 8 Fedora End Of Life 2016-07-19 10:53:06 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Omair Majid 2016-07-19 13:25:00 UTC
This was fixed upstream: http://icedtea.classpath.org/hg/thermostat/rev/414ed6cc5212


Note You need to log in before you can comment on or make changes to this bug.